<?php 
class Application_Model_Form_ArticleHasSubjectSearch extends MyWeb_Form
{

    public function init()
    {
        $request = Zend_Controller_Front::getInstance()->getRequest();
        $getValue = $request->getParams();
        
        
        // nastaví atributy formuláře
        $this->setAction("search");
        $this->setMethod("post");
        $this->setAttrib("id", "form_ArticleHasSubject_search");
        //nacteni config souboru s definovan7mi fomularovymi prvky
        $config = new Zend_Config_Ini(APPLICATION_PATH . "/forms/ArticleHasSubjectSearch.ini");
        $this->setConfig($config);
        // vytvoří formulářový prvek odesílací tlačítko
        $submitInsert = new Zend_Form_Element_Submit("send", array("label" => "search"));
        // přidá formulářové prvky do formuláře
        //$this->addElements(array($option_state,$hidden_role));
        $this->addDisplayGroup(array('Article_id_article','SubjectLevel_id_subjectLevel'),'formRoleEdit',array('legend' => 'Formular'));
        $this->addElements(array($submitInsert));
    }


}
